Package org.eclipse.birt.core.archive.compound

# Class ArchiveEntryAdapter

java.lang.Object
org.eclipse.birt.core.archive.compound.ArchiveEntry
org.eclipse.birt.core.archive.compound.ArchiveEntryAdapter

public class ArchiveEntryAdapter extends ArchiveEntry

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ArchiveEntry`
`entry`

### Fields inherited from class org.eclipse.birt.core.archive.compound.ArchiveEntry

`name, output`

## Constructor Summary

Constructors
Constructor
Description
`ArchiveEntryAdapter(String name, ArchiveEntry entry)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`flush()`
`long`
`getLength()`
`int`
`read(long offset, byte[] b, int off, int size)`
`void`
`refresh()`
`void`
`setLength(long length)`
`protected void`
`setOutputStream(RAOutputStream output)`
`void`
`write(long offset, byte[] b, int off, int size)`

### Methods inherited from class org.eclipse.birt.core.archive.compound.ArchiveEntry

`getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### entry

protected ArchiveEntry entry

## Constructor Details

### ArchiveEntryAdapter

public ArchiveEntryAdapter(String name, ArchiveEntry entry)

## Method Details

### getLength

public long getLength() throws IOException

Specified by:
  `getLength` in class `ArchiveEntry`
Throws:
  `IOException`

### setLength

public void setLength(long length) throws IOException

Specified by:
  `setLength` in class `ArchiveEntry`
Throws:
  `IOException`

### flush

public void flush() throws IOException

Overrides:
  `flush` in class `ArchiveEntry`
Throws:
  `IOException`

### refresh

public void refresh() throws IOException

Overrides:
  `refresh` in class `ArchiveEntry`
Throws:
  `IOException`

### read

public int read(long offset, byte[] b, int off, int size) throws IOException

Specified by:
  `read` in class `ArchiveEntry`
Throws:
  `IOException`

### write

public void write(long offset, byte[] b, int off, int size) throws IOException

Specified by:
  `write` in class `ArchiveEntry`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in class `ArchiveEntry`
Throws:
  `IOException`

### setOutputStream

protected void setOutputStream(RAOutputStream output)

Overrides:
  `setOutputStream` in class `ArchiveEntry`